#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"

#include "rr_main.h"
#include "rr_screen.h"

void
on_mainwin_destroy                     (GtkObject       *object,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


void
on_item1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_gamequit_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  gtk_main_quit();
}


gboolean
on_screen_expose_event                 (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data)
{

  return(RRScreenRedraw(widget, event, user_data));
}


gboolean
on_screen_button_press_event           (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data)
{

  return FALSE;
}


gboolean
on_screen_key_press_event              (GtkWidget       *widget,
                                        GdkEventKey     *event,
                                        gpointer         user_data)
{

  return FALSE;
}


void
on_frame1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_f1_1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(1);
}


void
on_f1_5_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(5);
}


void
on_f1_10_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(10);
}


void
on_f1_15_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(15);
}


void
on_f1_20_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(20);
}


void
on_f1_30_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  interval_set(30);
}


void
on_balls1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{

}


void
on_b10_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(10);
}


void
on_b20_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(20);
}


void
on_b50_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(50);
}


void
on_b100_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(100);
}


void
on_b200_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(200);
}


void
on_b400_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(400);
}


void
on_b500_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainBall(500);
}


void
on_yes1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainTransparent(TRUE);
}


void
on_no1_activate                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data)
{
  RRMainTransparent(FALSE);
}

